<?php
class ControllerPaymentOrcamento extends Controller {
	private $error = array();

	public function index() {
		$this->load->language('payment/orcamento');

		$this->document->setTitle($this->language->get('heading_title'));

		$this->load->model('setting/setting');

    $this->load->type('tipocomum');

    $this->document->addScript(array(
      'view/javascript/ckeditor/ckeditor.js',
      'view/javascript/payment-orcamento.js'
    ));

    $this->data['ftr_geral'] = new ftr_geral();

    $this->data['Type_DisplayModuleOption'] = $this->load->typeForTwig('Type_DisplayModuleOption');
    $this->data['Type_Status'] = $this->load->typeForTwig('Type_Status');

		if (($this->request->server['REQUEST_METHOD'] == 'POST') && ($this->validate()) ) {
			$this->model_setting_setting->editSetting('orcamento', $this->request->post);

			$this->session->data['success'] = $this->language->get('text_success');

			$this->redirect($this->url->linkAnchor('extension/module', 'token=' . $this->session->data['token'], 'tab-info=' . $this->request->get['type'], 'SSL'));
		}

		$this->data['heading_title']        = $this->language->get('heading_title');
		$this->data['text_enabled']         = $this->language->get('text_enabled');
		$this->data['text_disabled']        = $this->language->get('text_disabled');
		$this->data['entry_status']         = $this->language->get('entry_status');
		$this->data['button_save']          = $this->language->get('button_save');
		$this->data['button_cancel']        = $this->language->get('button_cancel');
		$this->data['language_default']     = $this->language->get('language_default');
		$this->data['store_default']        = $this->language->get('store_default');
		$this->data['unidade_cm']           = $this->language->get('unidade_cm');
		$this->data['unidade_peso_kg']      = $this->language->get('unidade_peso_kg');
		$this->data['text_Grlconf']         = $this->language->get('text_Grlconf');
		$this->data['instrucoes_orcamento'] = $this->language->get('instrucoes_orcamento');
		$this->data['desc_pgto']            = $this->language->get('desc_pgto');
		$this->data['orc_status']           = $this->language->get('orc_status');
		$this->data['tppgto_iniciado']      = $this->language->get('tppgto_iniciado');
		$this->data['tppgto_Baixa']         = $this->language->get('tppgto_Baixa');
		$this->data['tppgto_cancelado']     = $this->language->get('tppgto_cancelado');
    $this->data['entry_display'] 				= $this->language->get('entry_display');
    $this->data['text_instruction'] 		= $this->language->get('text_instruction');
    $this->data['text_active'] 		      = $this->language->get('text_active');
    $this->data['text_inactive'] 		= $this->language->get('text_inactive');


		$this->data['link'] = $this->url->link('catalog/product/update', 'token=' . $this->session->data['token'], 'SSL');

		if (isset($this->error['warning'])) {
			$this->data['error_warning'] = $this->error['warning'];
		}else{
			$this->data['error_warning'] = '';
		}

		if (isset($this->error['orcamento_descricao'])) {
			$this->data['error_orcamento_descricao'] = $this->error['orcamento_descricao'];
		} else {
			$this->data['error_orcamento_descricao'] = '';
		}


		$this->data['breadcrumbs'] = array();
		$this->data['breadcrumbs'][] = array(
			'text'      => $this->language->get('text_home'),
			'href'      => $this->url->link('common/home', 'token=' . $this->session->data['token'], 'SSL'),
			'separator' => false
		);

		$this->data['breadcrumbs'][] = array(
			'text'      => $this->language->get('text_module'),
			'href'      => $this->url->linkAnchor('extension/module', 'token=' . $this->session->data['token'], 'tab-info=' . $this->request->get['type'], 'SSL'),
			'separator' => ' :: '
		);

		$this->data['breadcrumbs'][] = array(
			'text'      => $this->language->get('heading_title'),
			'href'      => $this->url->link('payment/orcamento', 'token=' . $this->session->data['token'] . '&type=' . $this->request->get['type'], 'SSL'),
			'separator' => ' :: '
		);

		$this->data['action'] = $this->url->link('payment/orcamento', 'token=' . $this->session->data['token'] . '&type=' . $this->request->get['type'], 'SSL');
		$this->data['cancel'] = $this->url->linkAnchor('extension/module', 'token=' . $this->session->data['token'], 'tab-info=' . $this->request->get['type'], 'SSL');

		// chama a view
		$this->children = array(
			'common/header',
			'common/footer',
		);

		if (isset($this->request->post['orcamento_instrucoes'])) {
			$this->data['orcamento_instrucoes'] = $this->request->post['orcamento_instrucoes'];
		} else {
			$this->data['orcamento_instrucoes'] = $this->config->get('orcamento_instrucoes');
		}

		if (isset($this->request->post['orcamento_display'])) {
			$this->data['orcamento_display'] = $this->request->post['orcamento_display'];
		} else {
			$this->data['orcamento_display'] = $this->config->get('orcamento_display');
		}

		if (isset($this->request->post['orcamento_descricao'])) {
			$this->data['orcamento_descricao'] = $this->request->post['orcamento_descricao'];
		} else {
			$this->data['orcamento_descricao'] = $this->config->get('orcamento_descricao');
		}

		if (isset($this->request->post['orcamento_status_iniciado'])) {
			$this->data['orcamento_status_iniciado'] = $this->request->post['orcamento_status_iniciado'];
		} else {
			$this->data['orcamento_status_iniciado'] = $this->config->get('orcamento_status_iniciado');
		}

		if (isset($this->request->post['orcamento_status_baixa'])) {
			$this->data['orcamento_status_baixa'] = $this->request->post['orcamento_status_baixa'];
		} else {
			$this->data['orcamento_status_baixa'] = $this->config->get('orcamento_status_baixa');
		}

		if (isset($this->request->post['orcamento_status'])) {
			$this->data['orcamento_status'] = $this->request->post['orcamento_status'];
		} else {
			$this->data['orcamento_status'] = $this->config->get('orcamento_status');

			if($this->data['orcamento_status'] == ''){
			  $this->data['orcamento_status'] = '0';
			}
		}

                if (isset($this->error['orcamento_instrucoes'])) {
			$this->data['error_orcamento_instrucoes'] = $this->error['orcamento_instrucoes'];
		} else {
			$this->data['error_orcamento_instrucoes'] = '';
		}

                if (isset($this->error['orcamento_descricao'])) {
			$this->data['error_orcamento_descricao'] = $this->error['orcamento_descricao'];
		} else {
			$this->data['error_orcamento_descricao'] = '';
		}

		$this->load->model('localisation/language');
		$this->data['languages'] = $this->model_localisation_language->getLanguages();

		$this->load->model('setting/store');
		$this->data['stores'] = $this->model_setting_store->getStores();

		$this->load->model('localisation/order_status');
		$this->data['order_statuses'] = $this->model_localisation_order_status->getOrderStatuses();

		$this->response->setOutput($this->render( 'payment/orcamento'));
	}

	private function validate() {
		if (!$this->user->hasPermission('modify', 'payment/orcamento')) {
			$this->error['warning'] = $this->language->get('error_permission');
		}

                if($this->request->post['orcamento_status']){
                    if (!$this->request->post['orcamento_instrucoes']) {
                            $this->error['orcamento_instrucoes'] = $this->language->get('error_orcamento_instrucoes');
                    }

                    if (!$this->request->post['orcamento_descricao']) {
                            $this->error['orcamento_descricao'] = $this->language->get('error_orcamento_descricao');
                    }
                }

		if (!$this->error) {
			return true;
		} else {
			return false;
		}

	}
}
